package com.yifu.cloud.plus.v1.yifu.insurances.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceRefund;
import org.apache.ibatis.annotations.Mapper;

/**
* @author Administrator
* @description 针对表【t_insurance_refund(减员信息表)】的数据库操作Mapper
* @createDate 2022-07-25 21:06:36
* @Entity generator.domain.TInsuranceRefund
*/
@Mapper
public interface TInsuranceRefundMapper extends BaseMapper<TInsuranceRefund> {

	/**
	 * 根据保单id查询减员信息
	 *
	 * @author zhaji
	 * @param id
	 * @return {@link TInsuranceRefund}
	 */
    TInsuranceRefund getByInsDetailId(String id);

	void updateByInsDetailId(TInsuranceRefund insuranceRefund);

	int updateRefundMoney(TInsuranceRefund insuranceRefund);
}
