package com.yifu.cloud.plus.v1.yifu.insurances.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceEnclosure;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.InsuranceEnclosureParam;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.InsuranceEnclosureVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @author Administrator
* @description 针对表【t_insurance_enclosure】的数据库操作Mapper
* @createDate 2022-08-22 16:00:46
* @Entity generator.domain.TInsuranceEnclosure
*/
@Mapper
public interface TInsuranceEnclosureMapper extends BaseMapper<TInsuranceEnclosure> {

	/**
	 * 查询商险附件列表
	 *
	 * @author zhaji
	 * @param page 分页参数
	 * @param param 查询参数
	 * @return {@link IPage< InsuranceEnclosureVo>}
	 */
	IPage<InsuranceEnclosureVo> getInsuranceEnclosurePage(Page<InsuranceEnclosureParam> page, @Param("param")InsuranceEnclosureParam param);
}
