package com.yifu.cloud.plus.v1.yifu.salary.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;
import com.yifu.cloud.plus.v1.yifu.salary.entity.TStatisticsTaxSalary;

/**
 * 统计-工资薪金-给定时任务调用
 *
 * @author hgw
 * @date 2020-05-27 10:46:05
 */
public interface TStatisticsTaxSalaryTwoService extends IService<TStatisticsTaxSalary> {

     /**
      * @param tableName
      * @param settleMonth
      * @Description: 生成工资薪金
      * @Author: hgw
      * @Date: 2022/2/25 10:30
      * @return: com.yifu.cloud.v1.common.core.util.R<java.lang.String>
      **/
     R<String> doStatisticsTaxSalary(String tableName, String settleMonth);

	/**
	 * @param settleMonth
	 * @Description:
	 * @Author: hgw
	 * @Date: 2022/8/23 17:55
	 * @return: void
	 **/
	void doRefreshStatisticsTaxAuto(String settleMonth);

}
